<?php

namespace GeorgGriesser\WordPress\Smart_WP\Http\Controllers;

use GeorgGriesser\WordPress\Smart_WP\Setting;

class Setting_Controller
{

    /**
     * @return array
     */
    public static function get_item()
    {
        return Setting::get();
    }

    /**
     * @param \WP_REST_Request $request
     * @return bool
     */
    public static function update_item($request)
    {
        return Setting::update($request->get_json_params());
    }

    /**
     * @return bool
     */
    public static function delete_item()
    {
        return Setting::delete();
    }
}