<?php
/*
Plugin Name: Smart WordPress
Plugin URI:  https://www.velocious.io/plugins/smart-wordpress/
Description: Optimize the caching behavior of your Website the easy way and reload pages only if something has been changed.
Version:     1.0.2
Author:      Georg Griesser
Author URI:  https://www.georggriesser.com
License:     GPL3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

if (!defined('ABSPATH')) {
    exit;
}

require_once "autoloader.php";

$settings_page = new \GeorgGriesser\WordPress\Smart_WP\Pages\Settings_Page();
$settings_page->init();

add_action('rest_api_init', array('\GeorgGriesser\WordPress\Smart_WP\Api', 'add_routes'));


function get_smart_wp_plugin_dir_url($path = '')
{
    return plugin_dir_url(__FILE__) . $path;
}

use GeorgGriesser\WordPress\Smart_WP;

$plugin = new Smart_WP\Plugin();
add_action('template_redirect', array($plugin, 'add_headers'));